﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Google.Charts
{
    public class LineChart : Google.Charts.Lines.LineChartBase<PairDataPoint>
    {
        public LineChart() : base() { this.type = "lxy"; }

        protected override void CreateDataParameter()
        {
          
            if (Data == null || Data.Count < 1) {
                throw new InvalidOperationException("No data specified");
            }

            DataEncoder encoder = DataEncoder.GetEncoder(this.Resolution);

            string[] result = new string[Data.Count * 2];
            

            for (int i = 0, j =0 ; i < Data.Count; i++, j+=2) {
                
                StringBuilder x = new StringBuilder();
                StringBuilder y = new StringBuilder();
                
                foreach( PairDataPoint point in Data[i] ){

                    x.Append(encoder.EncodeValue(point.XValue, Data[i].MaxValue));
                    y.Append(encoder.EncodeValue(point.Value, Data[i].MaxValue));
                }

                result[j] = x.ToString();
                result[j+1] = y.ToString();
            }

            base.AddParameter(new ChartParameter("chd", string.Format("{0}:{1}", encoder.Identifier, string.Join(encoder.SetSeparator, result))));
        }
    }
}
