﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Google.Charts {

    public class StackedBarChart : BarChart {

        public StackedBarChart() { }

        /// <summary>
        /// Gets the querystring parameter which describes the type class.
        /// </summary>
        /// <returns>The type parameter.</returns>
        protected virtual void CreateTypeParameter() {

            switch (Direction) {
                case Direction.Horizontal: {

                        ChartParameter typeParam = new ChartParameter("cht", "bhs");
                        base.AddParameter(typeParam);
                        break;
                    }
                case Direction.Vertical:
                default: {

                        ChartParameter typeParam = new ChartParameter("cht", "bvs");
                        base.AddParameter(typeParam);
                        break;
                    }
            }
        }

        protected override void CreateParameters() {
            base.CreateParameters();
            CreateTypeParameter();
        }


    }
}
