﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Google.Charts {
    public class TripleDataPoint : PairDataPoint {

        private double _weight;

        public double Weight
        {
            get { return _weight; }
        }
        public TripleDataPoint() { }

        public TripleDataPoint(double x, double y, double w) 
            : base(y, y)
        {

            this._weight = w;
        }


        //public double Weight { get; set; }

        public override double Max 
        {
            get 
            {
                return Math.Max(Math.Max(XValue, Value), Weight);
            }
        }

        public override double Min
        {
            get
            {
                return Math.Min(Math.Min(XValue, Value), Weight);
            }
        }
    }
}
