﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Google.Charts
{
    public enum LabelType
    {
        LeftY, RightY, TopX, BottomX
    }

    public class LabelAxis
    {
        private LabelType _t;
        private List<LabelDesc> _labels = new List<LabelDesc>();

        public LabelAxis(LabelType t)
        {
            _t = t;
        }

        public LabelType Type
        {
            get { return _t; }
        }

        public List<LabelDesc> Labels
        {
            get { return _labels; }
        }
    }

    public class LabelDesc
    {
        public enum LabelAlign
        {
            Center = 0, Left = -1, Right = 1
        }

        private string _label;
        public string Label
        {
            get { return _label; }
        }

        private double? _pos;
        public double? Position
        {
            get { return _pos; }
            set { _pos = value; }
        }

        private Color _col;
        public Color Color
        {
            get { return _col; }
            set { _col = value; }
        }

        private int? _fontSize;
        public int? FontSize
        {
            get { return _fontSize; }
            set { _fontSize = value; }
        }

        private LabelAlign? _align;
        public LabelAlign? Align
        {
            get { return _align; }
            set { _align = value; }
        }

        public LabelDesc(string title)
            : this(title,null)
        {}

        public LabelDesc(string title, double? position)
        {
            _label = title;
            _pos = position;
        }
    }
}
