﻿using Google.Charts;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
namespace TestProject1
{
    
    
    /// <summary>
    ///This is a test class for SimpleEncoderTest and is intended
    ///to contain all SimpleEncoderTest Unit Tests
    ///</summary>
    [TestClass()]
    public class SimpleEncoderTest {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext {
            get {
                return testContextInstance;
            }
            set {
                testContextInstance = value;
            }
        }



        /* 
Upper case A = 0, B = 1 and so on to Z = 25. 
Lower case a = 26, b= 27 and so on to z = 51. 
Zero (0) = 52 and so on to 9 = 61. 
         */ 
         

        /// <summary>
        ///A test for EncodeValue
        ///</summary>
        [TestMethod()]
        public void EncodeValueTest0() {
            SimpleEncoder target = new SimpleEncoder(); 
            double value = 0; 
            double maxValue = 61; 
            string expected = "A"; 
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for EncodeValue
        ///</summary>
        [TestMethod()]
        public void EncodeValueTest1() {
            SimpleEncoder target = new SimpleEncoder(); 
            double value = 1;
            double maxValue = 61;
            string expected = "B";
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for EncodeValue
        ///</summary>
        [TestMethod()]
        public void EncodeValueTest25() {
            SimpleEncoder target = new SimpleEncoder(); 
            double value = 25;
            double maxValue = 61;
            string expected = "Z";
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for EncodeValue
        ///</summary>
        [TestMethod()]
        public void EncodeValueTest26() {
            SimpleEncoder target = new SimpleEncoder(); 
            double value = 26;
            double maxValue = 61;
            string expected = "a";
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for EncodeValue
        ///</summary>
        [TestMethod()]
        public void EncodeValueTest27() {
            SimpleEncoder target = new SimpleEncoder(); 
            double value = 27;
            double maxValue = 61;
            string expected = "b";
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for EncodeValue
        ///</summary>
        [TestMethod()]
        public void EncodeValueTest51() {
            SimpleEncoder target = new SimpleEncoder(); 
            double value = 51;
            double maxValue = 61;
            string expected = "z";
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for EncodeValue
        ///</summary>
        [TestMethod()]
        public void EncodeValueTest52() {
            SimpleEncoder target = new SimpleEncoder(); 
            double value = 52;
            double maxValue = 61;
            string expected = "0";
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }

          /// <summary>
        ///A test for EncodeValue
        ///</summary>
        [TestMethod()]
        public void EncodeValueTest61() {
            SimpleEncoder target = new SimpleEncoder(); 
            double value = 61;
            double maxValue = 61;
            string expected = "9";
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }

          /// <summary>
        ///A test for EncodeValue
        ///</summary>
        [TestMethod()]
        [ExpectedException(typeof(ArgumentOutOfRangeException), "The argument value should cause the exception.")]
        public void EncodeInvalidValueTest() {
            SimpleEncoder target = new SimpleEncoder(); 
            double value = 100;
            double maxValue = 61;
            string expected = "9"; // exception!!
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }

        /// <summary>
        ///A test for Identifier
        ///</summary>
        [TestMethod()]
        public void IdentifierTest() {
            SimpleEncoder target = new SimpleEncoder(); 
            string expected = "s";
            string actual;
            actual = target.Identifier;
            Assert.AreEqual(expected, actual);
        }
    }
}
