﻿using Google.Charts;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;

namespace TestProject1
{
    
    
    /// <summary>
    ///This is a test class for SimpleEncoderTest and is intended
    ///to contain all TextEncoderTest Unit Tests
    ///</summary>
    [TestClass()]
    public class TextEncoderTest {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext {
            get {
                return testContextInstance;
            }
            set {
                testContextInstance = value;
            }
        }

        /// <summary>
        ///A test for EncodeValue
        ///</summary>
                   [TestMethod()]
        public void EncodeValueTest() {
            TextEncoder target = new TextEncoder(); 
            double value = 10; 
            double maxValue = 100; 
            string expected = "10.0"; 
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }
          [TestMethod()]
        public void InvalidValueTest() {

            TextEncoder target = new TextEncoder();
            double value = -12;
            double maxValue = 100;
            string expected = "-1";
            string actual;
            actual = target.EncodeValue(value, maxValue);
            Assert.AreEqual(expected, actual);
        }
       
        [TestMethod()]
          public void IsNaNValueTest() {
              TextEncoder target = new TextEncoder();
              double value = double.NaN;
              double maxValue = 100;
              string expected = "-1";
              string actual;
              actual = target.EncodeValue(value, maxValue);
              Assert.AreEqual(expected, actual);
          }

        /// <summary>
        ///A test for Identifier
        ///</summary>
        [TestMethod()]
        public void IdentifierTest() {
            TextEncoder target = new TextEncoder();
            string expected = "t";
            string actual;
            actual = target.Identifier;
            Assert.AreEqual(expected, actual);
        }
    }
}
